%option noyywrap
%option case-insensitive
%{
  /* Ukljucujemo zaglavlje u kom smo definisali
   * kojim integerima predstavljamo tokene
   */

#include "tokeni.h"

%}

  /* Regularne definicije */
DIGIT  [0-9]
SLOVO  [a-zA-Z]

%%
           /* Prvo navodimo kljucne reci nekog jezika
            * da bi leksicki analizator vratio kljucnu rec
            * a ne identifikator 
            */
while  return TOKEN_WHILE;
do     return TOKEN_DO;
if     return TOKEN_IF;
else   return TOKEN_ELSE;
then   return TOKEN_THEN;
begin  return TOKEN_BEGIN;
end    return TOKEN_END;
"("        return TOKEN_OZ;
")"        return TOKEN_ZZ;
">="|<=|"<>"|"<"|">"|"="   return TOKEN_REL_OP;
":="       return TOKEN_DODELA;
{SLOVO}({SLOVO}|{DIGIT})*   return TOKEN_ID;
{DIGIT}+   return TOKEN_BROJ;
";"        return TOKEN_SEP;
.|\n       {/* Prazna akcija da nam se ne bi stampale beline i novi redovi na izlazu */}

%%
